[package]
name = "query-segmenter"
version = "0.1.0"
authors = ["Tatsuya Kawano <tatsuya@hibaridb.org>"]
edition = "2018"
# description
# repository
# license

[lib]
crate-type = ["lib", "cdylib"]

[dependencies]

[target.'cfg(target_arch = "wasm32")'.dependencies]
once_cell = "1"
wasm-bindgen = "0.2"
web-sys = { version = "0.3.46", features = ["Window", "Performance"] }

[target.'cfg(not(target_arch = "wasm32"))'.dependencies]
clap = "2"
serde = "1"
serde_derive = "1.0.34" # First verstion to support #[serde(flatten)]
serde_json = "1"

[package.metadata.wasm-pack.profile.release]
# Temporary disable wasm-opt in release mode in order to avoid the following error on M1 Macs:
# "Error: no prebuilt wasm-opt binaries are available for this platform: Unrecognized target!"
wasm-opt = false

# Workaround for wasm-opt throwing "Exported global cannot be mutable".
# https://github.com/rustwasm/wasm-pack/issues/886
# wasm-opt = ["-Oz", "--enable-mutable-globals"]
